Skip to content
This page View Markdown Open in ChatGPT Open in Claude

API Maker v1.14.0

April 2025

Changes

  • ImprovementPrevent caching issue of UI after API Maker deployment.
  • ImprovementProgressbar implemented in deployment screen.
  • Bug fix$nin should not throw for null or empty string when userd with objectId field.
  • Bug fixGetting error after saving data in sql server when uniqueidentifier is used as primary key.
  • ImprovementUpdate & close button added in schema edit modal.
  • ImprovementError cleanup for SQL server driver related errors.
  • Bug fixDate object in conversionFun is not working for SQL server save operation.
  • ImprovementD2 diagram library installation related improvements.
  • Bug fixWhen collection is not present and schema is present, it selects all items
  • FeatureAdded support for isAutoGenerateByAM in schema as shown below.
import { ISchemaType, EType, ISchemaProperty, IPropertyValidation } from 'types';
import * as T from 'types';

let schema: ISchemaType = {
    _id: EType.objectId,
    name: EType.string,

    autoGenerateObjectId: {
        __type: EType.objectId,
        isAutoGenerateByAM: {
            valueGeneratorType: T.EValueGeneratorType.ObjectID,
        }
    },
    autoGenerate_GUID_UUID: {
        __type: EType.string,
        isAutoGenerateByAM: {
            valueGeneratorType: T.EValueGeneratorType.GUID_UUID,
        }
    },
    autoGenerate_ULID: {
        __type: EType.string,
        isAutoGenerateByAM: {
            valueGeneratorType: T.EValueGeneratorType.ULID,
        }
    },
    autoGenerate_ShortUUID: {
        __type: EType.string,
        isAutoGenerateByAM: {
            valueGeneratorType: T.EValueGeneratorType.ShortUUID,
        }
    }
};

module.exports = { schema };

UI Maker Extension

  • Improvementuim-grid-header class added for header.
  • Featureeditor control support added.
  • FeatureRequired should support expression in UI Maker by providing requiredFun in validations.
  • ImprovementBelow two functions support added in utils object.

    • setDataInObject
    • setDataInArray

      /** Useful to clear all properties of object and assign all properties of new object */
      setDataInObject(oldObject: any, newObject: any): void;
      
      /** Useful to clear all properties of object and assign all properties of new object */
      setDataInArray(oldArray: any[], newArray: any[]): void;
      
  • ImprovementDB Master page load performance improvements.

  • ImprovementIf we pass query parameter in iframe URL with name id and with value, UI Maker will open modal with that ID in edit mode by default. To open in view mode we can pass form-open-mode=view also.
  • FeatureUI Maker page can be used as only form also. Form can be used in add/edit/view modes.
  • ImprovementAdd | Edit | Delete | View | Refresh Grid operations support added in user utils functions.
  • ImprovementAdded support for onceGridDataLoaded hook to process data once grid data loaded.
  • FeatureOn click of button, generate sample working code of grid & form fields JSON and put it in editor. This button is available in top right corner of UI Maker page modal.
  • FeatureAdd support for “uim” in schema, so we can generate code based on those settings also.